package app

import (
	"github.com/google/wire"
	"github.guxuan/haibei/internal/mods/app/api"
	"github.guxuan/haibei/internal/mods/app/biz"
	"github.guxuan/haibei/internal/mods/app/dal"
)

var Set = wire.NewSet(
	wire.Struct(new(App), "*"),
	wire.Struct(new(dal.App), "*"),
	wire.Struct(new(biz.App), "*"),
	wire.Struct(new(api.App), "*"),
)
